# Request Package Location ![](https://docs.equinix.com/assets/images/OrderPackagesLocation-c374f37bd1d54fdb6bf93753729d00fe.png) ## Prerequisites[​](#prerequisites "Direct link to Prerequisites") 1. Authenticate - Submit your user credentials, Client ID, and Client Secret for OAuth2 authentication. Refer to [API Authentication](https://docs.equinix.com/equinix-api/api-authentication.md) for instructions on how to call the OAuth API to validate and authenticate your credentials. 2. Retrieve your inbound shipment order number - send a `GET` request to the [`/colocations/v2/orders/{orderId}`](https://docs.equinix.com/api-catalog/ordersv2/orders/get%20order%20details.md) endpoint to retrieve an order number for an inbound shipment that has already been scheduled. To schedule a new inbound shipment, send a `POST` request to the [`/colocations/v2/orders/shipments`](https://docs.equinix.com/api-catalog/shipmentsv2/shipments/schedule%20inbound%20or%20outbound%20shipment.md) endpoint. To schedule an inbound shipment, the user must have `Shipments` permission. You may skip this step if you already have the inbound shipment order number. 3. To get Smart Hands details, you must have `Smart Hands` ordering permission. 4. Get Smart Hands Types - Send a `GET` request to the [`/v1/orders/smarthands/types`](https://docs.equinix.com/api-catalog/smarthandsv1/smarthands/smarthandtypes.md) endpoint to get all Smart Hands order types. You may skip this step if you already know the Smart Hands order type. 5. Get Location Information - Send a `GET` request to the [`/v1/orders/smarthands/locations`](https://docs.equinix.com/api-catalog/smarthandsv1/smarthands/getlocation.md) endpoint to retrieve available IBX locations that you have access to. You may skip this step if you already know the location information. ## Get a Package Location[​](#get-a-package-location "Direct link to Get a Package Location") To request the location of your packages at the IBX, send a `POST` request to the [`/v1/orders/smarthands/locatePackage`](https://docs.equinix.com/api-catalog/smarthandsv1/smarthands/handlesmarthandlocatepackageorder.md) endpoint. Specify details of your packages and needs in the `serviceDetails` object in the body of the request. Use the optional `attachments` object to include additional details for a technician. > **Note** > > Before creating an order with attachment, call the [`Attachments File`](https://docs.equinix.com/api-catalog/attachmentsv1/attachments/createattachment.md) endpoint. ``` curl -X POST "https://api.equinix.com/v1/orders/smarthands/locatePackage" -H "content-type: application/json" -H "authorization: Bearer " -d '{     "ibxLocation": {     "ibx": "AM1",     "cages": [       {         "cage": "AM1:0J:00JD11",         "cabinets": [             "AM1:0J:00JD11:0001"         ],         "accountNumber": "126854"       }     ]   },   "serviceDetails": {     "shipmentOrderNumber": "1-1234567890",     "trackingNumber": "All tracking numbers in this shipment order.",     "possibleLocation": "Last known location was the loading bay.",     "packageDescription": "Multiple DHL boxes.",     "scopeOfWork": "Locate and group all boxes together in a fixed location for easy identification and later collection.",     "needSupportFromASubmarineCableStationEngineer": true   },   "attachments": [     {         "id": "fcb2k8763-2947-456e-8d68-f280753d60ba",         "name": "AdditionalShipmentWorkDetails.docx"     }   ],   "schedule": {     "scheduleType": "SCHEDULED_MAINTENANCE",     "requestedStartDate": "2019-08-30T22:00:49.776Z",     "requestedCompletionDate": "2019-08-31T22:00:49.776Z"   },   "customerReferenceNumber": "EQX-PO2019-08-001",   "purchaseOrder": {     "purchaseOrderType": "EXEMPTED",     "attachment": {         "id": "abc1fd2e-345f-67g4-hi89-01jk234l5m6n",         "name": "PurchaseOrderExemptionForm123.docx"     }   },   "contacts": [     {         "contactType": "ORDERING",         "userName": "johndoe"     },     {         "contactType": "TECHNICAL",         "name": "Jane Smith",         "email": "janesmith@corporation.com",         "workPhoneCountryCode": "+44",         "workPhone": "0148211111",         "workPhonePrefToCall": "MY_BUSINESS_HOURS",         "workPhoneTimeZone": "Europe/London",         "mobilePhoneCountryCode": "+44",         "mobilePhone": "0123456789",         "mobilePhonePrefToCall": "MY_BUSINESS_HOURS",         "mobilePhoneTimeZone": "Europe/London"     },     {         "contactType": "NOTIFICATION",         "userName": "johndoe"     },     {         "contactType": "NOTIFICATION",         "userName": "janesmith"     }   ] }' ``` For a complete list of body parameters and descriptions, see [the API Reference](https://docs.equinix.com/api-catalog/smarthandsv1/smarthands/handlesmarthandlocatepackageorder.md). Sample Response: ``` {   "OrderNumber": "1-457809872838" } ``` The response indicates the order was successful and returns the order number.